中危 Red Hat Enterprise Linux信息泄露漏洞(CVE-2021-4155)

CVE编号

CVE-2021-4155

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-08-25
漏洞描述
Red Hat Enterprise Linux是美国红帽(Red Hat)公司的面向企业用户的Linux操作系统。
Red Hat Enterprise Linux的XFS文件系统中的XFS_IOC_ALLOCSP IOCTL存在信息泄露漏洞。本地攻击者可利用该漏洞泄露本无法访问的系统的数据。
解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=983d8e60f50806f90534cc5373d0ce867e5aaf79
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 amazon_2 kernel * Up to
(excluding)
5.4.172-90.336.amzn2
运行在以下环境
系统 amazon_AMI kernel * Up to
(excluding)
4.14.262-135.489.amzn1
运行在以下环境
系统 centos_7 kernel * Up to
(excluding)
3.10.0-1160.59.1.el7
运行在以下环境
系统 centos_8 linux * Up to
(excluding)
4_18_0-348_7_1-1-1.el8_5
运行在以下环境
系统 debian_10 linux * Up to
(excluding)
4.19.232-1
运行在以下环境
系统 debian_11 linux * Up to
(excluding)
5.10.92-1
运行在以下环境
系统 debian_9 linux * Up to
(excluding)
4.9.303-1
运行在以下环境
系统 fedora_35 linux * Up to
(excluding)
2.2.5-25.fc35
运行在以下环境
系统 fedora_36 linux * Up to
(excluding)
2.2.5-25.fc36
运行在以下环境
系统 linux linux_kernel * Up to
(excluding)
5.16
运行在以下环境
系统 oracle_6 linux * Up to
(excluding)
4.1.12-124.60.1.el6uek
运行在以下环境
系统 oracle_7 kernel * Up to
(excluding)
3.10.0-1160.59.1.el7
运行在以下环境
系统 oracle_8 kernel * Up to
(excluding)
4.18.0-348.12.2.el8_5
运行在以下环境
系统 redhat_6 kernel * Up to
(excluding)
0:2.6.32-754.47.1.el6
运行在以下环境
系统 redhat_7 kernel-rt * Up to
(excluding)
0:3.10.0-1160.59.1.rt56.1200.el7
运行在以下环境
系统 redhat_8 kernel * Up to
(excluding)
4.18.0-348.12.2.el8_5
运行在以下环境
系统 ubuntu_14.04 linux * Up to
(excluding)
4.15.0-1131.144~14.04.1
运行在以下环境
系统 ubuntu_16.04 linux * Up to
(excluding)
4.15.0-1116.130~16.04.1
运行在以下环境
系统 ubuntu_18.04 linux * Up to
(excluding)
4.15.0-169.177
运行在以下环境
系统 ubuntu_20.04 linux * Up to
(excluding)
5.4.0-100.113
运行在以下环境
系统 ubuntu_21.10 linux * Up to
(excluding)
5.13.0-30.33
阿里云评分
5.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-131 缓冲区大小计算不正确
阿里云安全产品覆盖情况